%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:		xdo
Version:	0.5.7
Release:	1.20210518git688f10f%{?dist}
Summary:	Utility for performing actions on windows in X
License:	BSD
URL:		https://github.com/baskerville/%{name}

# # version release
# Source0:	%%{url}/archive/%%{version}.tar.gz

# git release NOTE: comment out macro with `%%` (macros are expanded first)
Source0:	%{url}/archive/master.tar.gz

BuildRequires:	gcc make libxcb-devel xcb-util-devel xcb-util-wm-devel

%description
Apply the given action to the given windows.

If no window IDs and no options are given, the action applies to the focused window.

%prep
## version release
# %%setup -q

## git release NOTE: comment out macro with `%%` (macros are expanded first)
%autosetup -n %{name}-master

%build
%make_build VERBOSE=1 %{?_smp_mflags} CFLAGS="%{optflags} -std=c99" LDFLAGS="%{?__global_ldflags}"

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.1.gz

%changelog
